# Uses of Interface
com.sun.source.tree.AnyPatternTree

Packages that use AnyPatternTree
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
com.sun.source.util
Provides utilities for operations on abstract syntax trees (AST).

## Uses of AnyPatternTree in com.sun.source.tree

Methods in com.sun.source.tree with parameters of type AnyPatternTree
Modifier and Type
Method
Description
`R`
TreeVisitor.`visitAnyPattern(AnyPatternTree node, P p)`
Visits a `AnyPatternTree` node.

## Uses of AnyPatternTree in com.sun.source.util

Methods in com.sun.source.util with parameters of type AnyPatternTree
Modifier and Type
Method
Description
`R`
SimpleTreeVisitor.`visitAnyPattern(AnyPatternTree node, P p)`
Visits a `AnyPatternTree` node.
`R`
TreeScanner.`visitAnyPattern(AnyPatternTree node, P p)`
Visits a `AnyPatternTree` node.